std::add_rvalue_reference< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type = __add_rval_ref_t< _Tp >

## Detailed Description

template<typename _Tp>
struct std::add_rvalue_reference< _Tp >

add_rvalue_reference

Definition at line 1634 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp >

using std::add_rvalue_reference< _Tp >::type = __add_rval_ref_t<_Tp>

Definition at line 1635 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits